.hot-apps {
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  padding: 30px 0;
  width: 1920px;
  background-color: #fff;
  align-items: center;
}

.hot-apps-list {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 1200px;
  height: 380px;
  margin: 32px 0 0 0;
}

.app-card {
  display: flex;
  flex-direction: column;
  background-image: linear-gradient(180deg,
      rgba(255, 255, 255, 1) 0,
      rgba(250, 250, 250, 1) 100%);
  border-radius: 16px;
  height: 380px;
  border: 1px solid rgba(237, 237, 237, 1);
  width: 282px;
}

.app-card-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 242px;
  height: 111px;
  margin: 16px 0 0 24px;
}

.app-card-info {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 182px;
  height: 103px;
  margin-top: 8px;
}

.app-card-icon {
  width: 40px;
  height: 40px;
}

.app-card-text {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 182px;
  height: 55px;
  margin-top: 8px;
}

.app-card-name {
  width: 140px;
  height: 28px;
  overflow-wrap: break-word;
  color: rgba(0, 0, 0, 1);
  font-size: 20px;
  font-weight: normal;
  text-align: center;
  white-space: nowrap;
  line-height: 28px;
  text-align: left;
}

.app-card-desc {
  width: 240px;
  height: 19px;
  overflow-wrap: break-word;
  color: rgba(85, 85, 85, 1);
  font-size: 14px;
  font-weight: 300;
  text-align: left;
  white-space: nowrap;
  line-height: 19px;
  margin-top: 8px;
  overflow: hidden;
  text-overflow: ellipsis;
}

.app-card-rank {
  display: flex;
  flex-direction: column;
  background-color: rgba(255, 235, 216, 1);
  border-radius: 0px 10px 10px 0px;
  height: 21px;
  width: 47px;
}

.app-card-rank-text {
  width: 31px;
  height: 17px;
  overflow-wrap: break-word;
  color: rgba(255, 60, 0, 1);
  font-size: 12px;
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  line-height: 17px;
  margin: 2px 0 0 8px;
}

.app-card-tag {
  display: flex;
  flex-direction: row;
  margin: 8px 0 0 24px;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  height: 58px;
}

.app-card-tag-badge {
  display: flex;
  flex-direction: column;
  background-color: rgba(253, 98, 18, 0.1);
  border-radius: 4px;
  height: 21px;
  margin: 0 8px 8px 0;
}

.app-card-tag-text {
  overflow-wrap: break-word;
  color: rgba(253, 98, 18, 1);
  font-size: 12px;
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  line-height: 21px;
  padding: 0 8px;
}

.app-card-meta {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 173px;
  height: 40px;
  margin: 0 0 0 24px;
}

.app-card-version {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 102px;
  height: 40px;
}

.app-card-version-label {
  width: 24px;
  height: 17px;
  overflow-wrap: break-word;
  color: rgba(142, 142, 142, 1);
  font-size: 12px;
  font-weight: normal;
  text-align: center;
  white-space: nowrap;
  line-height: 17px;
}

.app-card-version-value {
  width: 102px;
  height: 19px;
  overflow-wrap: break-word;
  color: rgba(0, 0, 0, 1);
  font-size: 14px;
  font-weight: normal;
  text-align: center;
  white-space: nowrap;
  line-height: 19px;
  margin-top: 4px;
  text-align: left;
}

.app-card-purchase {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 48px;
  height: 40px;
}

.app-card-purchase-label {
  width: 48px;
  height: 17px;
  overflow-wrap: break-word;
  color: rgba(142, 142, 142, 1);
  font-size: 12px;
  font-weight: normal;
  text-align: center;
  white-space: nowrap;
  line-height: 17px;
}

.app-card-purchase-value {
  width: 28px;
  height: 19px;
  overflow-wrap: break-word;
  color: rgba(0, 0, 0, 1);
  font-size: 14px;
  font-weight: normal;
  text-align: center;
  white-space: nowrap;
  line-height: 19px;
  margin-top: 4px;
}

.app-card-price {
  display: flex;
  flex-direction: row;
  width: 71px;
  height: 22px;
  margin: 36px 0 0 24px;
}

.app-card-price-text {
  width: 71px;
  height: 22px;
  overflow-wrap: break-word;
  color: rgba(249, 53, 35, 1);
  font-size: 18px;
  font-weight: 700;
  text-align: center;
  white-space: nowrap;
  line-height: 22px;
}

.app-card-action {
  display: flex;
  flex-direction: row;
  width: 95px;
  height: 30px;
  margin: 36px 0 24px 24px;
}

.app-card-btn {
  display: flex;
  flex-direction: column;
  border-radius: 100px;
  height: 30px;
  border: 1px solid rgba(0, 0, 0, 0.949999988079071);
  width: 95px;
}

.app-card-btn-text {
  width: 56px;
  height: 19px;
  overflow-wrap: break-word;
  color: rgba(0, 0, 0, 1);
  font-size: 14px;
  font-weight: 300;
  text-align: left;
  white-space: nowrap;
  line-height: 19px;
  margin: 6px 0 0 20px;
}

.app-card:hover {
  box-shadow: 0px 0px 10px 0px rgba(143, 143, 143, 0.25);
}